package cn.com.qmth.examcloud.core.reports.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.exception.StatusException;
import cn.com.qmth.examcloud.core.reports.api.StudentCountCloudService;
import cn.com.qmth.examcloud.core.reports.api.request.AddOrUpdateStudentCountReq;
import cn.com.qmth.examcloud.core.reports.api.response.AddOrUpdateStudentCountResp;
import cn.com.qmth.examcloud.core.reports.service.StudentCountService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "学生在线人数接口")
@RequestMapping("${$rmp.cloud.reports}"+"studentCount")
public class StudentCountCloudServiceProvider extends ControllerSupport implements StudentCountCloudService {

	
	/**
	 * 
	 */
	private static final long serialVersionUID = -5584819592660072512L;
	@Autowired
	private StudentCountService studentCountService;

	@ApiOperation(value = "新增或更新在线人数")
    @PostMapping("/addOrUpdateCount")
	@Override
	public AddOrUpdateStudentCountResp addOrUpdateCount(@RequestBody AddOrUpdateStudentCountReq req) {
		if(req.getRootOrgId()==null) {
			throw new StatusException("1000001", "rootOrgId不能为空");
		}
		if(req.getOrgId()==null) {
			throw new StatusException("1000002", "orgId不能为空");
		}
		if(req.getBatchTime()==null) {
			throw new StatusException("1000003", "batchTime不能为空");
		}
		studentCountService.addOrUpdateCount(req);
		return new AddOrUpdateStudentCountResp();
	}
}
